## uim 1.8.6

=== qt4/toolbar/CMakeLists.txt ===
project(plasma-uim)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DPLASMA_APPLET_UIM)
include_directories(${KDE4_INCLUDES}
        ${CMAKE_SOURCE_DIR}/../.. ${CMAKE_SOURCE_DIR}/../../uim
        ${CMAKE_SOURCE_DIR}/../../replace ${CMAKE_SOURCE_DIR}/..
        ${CMAKE_BINARY_DIR}/../../../uim)

set(uim_SRCS
        common-quimhelpertoolbar.cpp
        common-uimstateindicator.cpp
        applet-kde4.cpp)

# Remove "-Wconversion" from CXXFLAGS to avoid lots of warnings
# from Qt4 header files
string(REGEX REPLACE "-Wconversion" ""
        CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
 
kde4_add_plugin(plasma_applet_uim ${uim_SRCS})
target_link_libraries(plasma_applet_uim ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS}
        ${CMAKE_BINARY_DIR}/../../../uim/.libs/libuim.so
        ${CMAKE_BINARY_DIR}/../../../uim/.libs/libuim-scm.so
        -luim -luim-scm)
 
install(TARGETS plasma_applet_uim DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES ${CMAKE_BINARY_DIR}/../plasma-applet-uim.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
uim (1:1.8.6-8) unstable; urgency=medium

  * debian/control
    - depends emacs24 instead of emacs23. emacs23 has been removed from jessie.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 13 Nov 2014 22:07:00 +0900

uim (1:1.8.6-7) unstable; urgency=medium

  * Add a workaround for gtk+ >= 3.7.8 (Closes: #752226).
    - debian/patches/workaround_for_gtk3_higher_3.7.8.patch: new file.
    - debian/patches/series: update.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 21 Jun 2014 21:37:07 +0900

uim (1:1.8.6-6) unstable; urgency=medium

  * debian/README.Debian: remove "framebuffer" from "Using uim-fep".
  * debian/README.Debian.uim-fep: add config example for Using uim-fep.
  * support alternatives for uim-toolbar requested by im-config.
    - debian/uim-common.{postinst,prerm}; new file.
    - debian/uim-gtk3.{postinst,prerm}; new file.
    - debian/uim-gtk2.0.{postinst,prerm}; new file.
    - debian/uim-qt.{postinst,prerm}; new file.
  * fix FTBFS on ppc64el. pick up from uim 1:1.8.6-4ubuntu1.
    thanks to Matthias Klose <doko@ubuntu.com> (Closes: #744673).
    - debian/patches/ppc64el.patch: new file
    - debian/rules: use autotools_dev with dh.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 24 Apr 2014 18:22:58 +0900

uim (1:1.8.6-5) unstable; urgency=medium

  * debian/control: uim-tcode depends t-code-common instead of t-code.
  * add note for uim-fep (Closes: #743277).
    - debian/README.Debian: add note.
    - debian/README.Debian.uim-fep: new file.
    - debian/uim-fep.docs: add README.Debian.uim-fep.
  * bump up Standards-Version 3.9.5

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 02 Apr 2014 20:57:16 +0900

uim (1:1.8.6-4) unstable; urgency=low

  * debian/control: use automake instead of automake1.10 (Closes: #724442).
  * debian/patches/close_socket_after_uim_skk_requests_disconnection.patch
    - cherry-pick from upstream.
    - close socket after uim-skk requests disconnection (Closes: #727086).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 24 Oct 2013 11:08:20 +0900

uim (1:1.8.6-3) unstable; urgency=low

  * drop uim-prime.
    - debian/uim-prime.install: remove.
    - debian/uim-prime.postinst: remove.
    - debian/uim-prime.prerm: remove.
    - debian/libuim-data.install: add uim-prime's scm.
    - debian/uim-common.install: add uim-prime's icon.
    - debian/README.Debian: remove uim-prime.
    - debian/control: remove prime from b-d.
      add Breaks/Replaces: uim-prime to uim-common and libuim-data.
    - debian/rules: remove uim-prime from override_dh_link.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 15 Sep 2013 02:04:17 +0900

uim (1:1.8.6-2) unstable; urgency=low

  * debian/control
    - tighten dependency avoid broken-symlink library (Closes: #715123).
  * debian/patches/pass_cppflags_to_cmake_cxx_flags.patch: New file.
    - pass CPPFLAGS to CMAKE_CXX_FLAGS for hardening.
  * debian/patches/fix_spelling_error_sigscheme.patch
    - fix spelling error sigscheme: charater character.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 06 Jul 2013 19:16:28 +0900

uim (1:1.8.6-1) unstable; urgency=low

  * New upstream release.
    - Avoid a crash when a Canna server name is specified.
      Thanks to Kouichi ONO <kou1.ono@gmail.com> (Closes: #713997).
  * debian/uim-el.emacsen-startup
    - do not require uim-leim if LOGNAME is root (Closes: #671818).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 30 Jun 2013 21:54:51 +0900

uim (1:1.8.5-2) unstable; urgency=low

  * drop im-switch support (Closes: #629490)
    - debian/README.Debian: remove im-switch documentation.
    - debian/control: drop Recommendation.
    - debian/im-switch/: drop directory.
    - debian/rules: drop installation stuff.
    - debian/uim-xim.{postinst,prerm}: drop update-alternatives stuff.
  * drop obsoleted DMUA header.
    - debian/control: remove DM-Upload-Allowed: yes.
  * drop transitional packages: uim-qt3 uim-applet-kde uim-hangul.
    - debian/control: drop transitional packages.
    - debian/rules: drop symlinks.
  * bump up Standards-Version 3.9.4

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 11 May 2013 11:28:08 +0900

uim (1:1.8.5-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/add_cppflags_qt4_common.patch: removed.
    - debian/patches/add_include_qt4_edittest.patch: removed.
    - debian/rules: remove uim.spec.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 06 May 2013 02:18:49 +0900

=== debian/control ===
Source: uim
Section: libs
Priority: optional
Maintainer: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Kiwamu Okabe <kiwamu@debian.or.jp>
Build-Depends: debhelper (>= 9), quilt,
 automake, autoconf, autotools-dev, intltool, libtool,
 libgtk2.0-dev (>= 2.10.1), libpango1.0-dev, libfreetype6-dev, libatk1.0-dev,
 libxml-perl, libx11-dev, libxft-dev, libxext-dev, x11proto-core-dev,
 libcanna1g-dev, libanthy-dev, libncurses5-dev, libm17n-dev, m17n-db,
 libqt4-dev (>= 4:4.8.0), librsvg2-bin, libedit-dev, libgcroots-dev,
 kdelibs5-dev, libexpat1-dev, cmake, libgtk-3-dev, libpanel-applet-4-dev
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/uim/
Vcs-Git: git://anonscm.debian.org/collab-maint/uim.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uim.git

Package: uim-common
Section: utils
Architecture: all
Depends: ${misc:Depends}
Replaces: uim-gtk2.0 (<< 1:1.7.0-2),
	uim-hangul (<< 1:1.7.0-1), uim-prime (<< 1:1.8.6-3)
Breaks: uim-gtk2.0 (<< 1:1.7.0-2),
	uim-hangul (<< 1:1.7.0-1), uim-prime (<<1:1.8.6-3)
Multi-Arch: foreign
Description: Universal Input Method - common files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains common files for the uim packages.

Package: uim
Section: utils
Architecture: all
Depends: ${misc:Depends}, uim-common (= ${source:Version}),
	uim-gtk2.0 (>= ${source:Version}), uim-qt (>= ${source:Version}),
	uim-gtk3 (>= ${source:Version}),
	uim-xim (>= ${source:Version}), uim-utils (>= ${source:Version}),
	uim-fep (>= ${source:Version})
Description: Universal Input Method - metapackage
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package is a dummy convenience package designed to install the basic
 uim infrastructure.  It does not depend on any plugin packages, because
 uim is not limited to one input method. Packages are available for
 various input methods, including the following:
  * Japanese
   - uim-anthy: Anthy plugin for uim;
   - uim-canna: Canna plugin for uim;
   - uim-skk:   SKK plugin for uim.
  * Chinese
   - uim-pinyin: Pinyin input support for uim.
  * Korean
   - uim-byeoru: Byeoru input support for uim.
  * Multilingual input method
   - uim-m17n: M17n plugin for uim.

Package: libuim8
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Replaces: libuim6
Breaks: libuim6
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Universal Input Method - uim library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared libraries for uim.

Package: libuim-scm0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Replaces: libuim6, libuim7 (<< 1:1.7.2-2)
Breaks: libuim6, libuim7 (<< 1:1.7.2-2)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Universal Input Method - uim-scm API library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared library for uim-scm API.

Package: libuim-custom2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Replaces: libuim6, libuim7 (<< 1:1.7.2-2)
Breaks: libuim6, libuim7 (<< 1:1.7.2-2)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Universal Input Method - uim-custom API library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared library for uim-custom API.

Package: libuim-data
Section: utils
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Replaces: libuim6, libuim7 (<< 1:1.7.1-2), uim-common (<< 1:1.7.1-2),
	uim-prime (<< 1:1.8.6-3)
Breaks: libuim6, libuim7 (<< 1:1.7.1-2), uim-common (<< 1:1.7.1-2),
	uim-prime (<< 1:1.8.6-3),
	uim-ajax-ime (<< 1:1.8.1-3~), uim-anthy (<< 1:1.8.1-3~),
	uim-baidu-olime-jp (<< 1:1.8.1-3~), uim-byeoru (<< 1:1.8.1-3~),
	uim-canna (<< 1:1.8.1-3~), uim-google-cgiapi-jp (<< 1:1.8.1-3~),
	uim-ipa-x-sampa (<< 1:1.8.1-3~), uim-latin (<< 1:1.8.1-3~),
	uim-look (<< 1:1.8.1-3~), uim-m17nlib (<< 1:1.8.1-3~),
	uim-pinyin (<< 1:1.8.1-3~), uim-prime (<< 1:1.8.1-3~),
	uim-skk (<< 1:1.8.1-3~), uim-social-ime (<< 1:1.8.1-3~),
	uim-tcode (<< 1:1.8.1-3~), uim-viqr (<< 1:1.8.1-3~),
	uim-yahoo-jp (<< 1:1.8.1-3~),
	uim-mozc (<< 1.5.1090.102-4~),
	uim-chewing (<< 0.1.0-3~)
Recommends: wordlist, im-config
Description: Universal Input Method - data files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the data files for uim.

Package: libuim-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libuim8 (= ${binary:Version}),
	libuim-custom2 (= ${binary:Version}), libuim-scm0 (= ${binary:Version}),
	uim-common (>= ${source:Version}), libgcroots-dev
Multi-Arch: same
Description: Universal Input Method - development files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains header files and static libraries for uim development.

Package: uim-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libuim8 (= ${binary:Version}),
	uim-common (>= ${source:Version})
Replaces: libuim6-dbg, libuim7-dbg
Breaks: libuim6-dbg, libuim7-dbg
Description: Universal Input Method - debugging symbols
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the debugging symbols. It is provided primarily
 to provide a backtrace in a debugger, making it somewhat easier to interpret
 core dumps.

Package: uim-gtk2.0
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
Replaces: uim-xim (<< 1:1.6.0-1)
Breaks: uim-xim (<< 1:1.6.0-1)
Suggests: uim-dict-gtk
Description: Universal Input Method - GTK+2.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+2.0
 applications.

Package: uim-gtk3
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
Suggests: uim-dict-gtk3
Description: Universal Input Method - GTK+3.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+3.0
 applications.

Package: uim-qt
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version})
Breaks: uim-qt3 (<< 1:1.8.5-2~)
Replaces: uim-qt3 (<< 1:1.8.5-2~)
Description: Universal Input Method - Qt 4.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains some graphical utilities (but not a full IM-module)
 using Qt 4.x.

Package: uim-xim
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-utils (>= ${source:Version})
Suggests: uim-gtk2.0 (>= 1:1.6.0-1), uim-gtk3, uim-qt
Description: Universal Input Method - XIM compatibility interface
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package provides a bridge allowing software that can only interface
 with the X Input Method to work with uim.

Package: uim-applet-gnome
Section: gnome
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version}),
	uim-gtk3 (>= ${source:Version})
Description: Universal Input Method - GNOME applet
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains a GNOME applet which can configure uim, monitor its
 conversion mode, and so on.

Package: plasma-widget-uim
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}), uim-common (>= ${source:Version}),
	uim-qt (>= ${source:Version})
Breaks: uim-applet-kde (<< 1:1.8.5-2~)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

confflags := \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/uim \
	--with-libgcroots=installed \
	--disable-rpath \
	--enable-static \
	--enable-shared \
	$(NULL)

confflags += \
	--with-fep \
	--with-anthy \
	--with-anthy-utf8 \
	--with-canna \
	--with-m17nlib \
	--with-x \
	--with-gtk \
	--with-gtk3 \
	--with-qt4 \
	--with-qt4-immodule \
	--with-expat \
	--enable-dict \
	--disable-gnome-applet \
	--enable-gnome3-applet \
	--enable-kde4-applet \
	$(NULL)

confflags += $(shell dpkg-buildflags --export=configure)

ifneq (,$(filter $(DEB_HOST_ARCH), ia64 s390))
confflags += UIM_SCM_CFLAGS=-fno-strict-aliasing
endif

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	for i in emacs/uim-version.el uim.desktop; do \
		[ ! -e $(CURDIR)/$$i.dh-orig ] || continue; \
		cp -f $(CURDIR)/$$i $(CURDIR)/$$i.dh-orig; \
	done
	dh_auto_configure -- $(confflags)

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/tables/wb86.scm $(CURDIR)/tables/zm.scm
	rm -f $(CURDIR)/config.log $(CURDIR)/config.status
	for i in emacs/uim-version.el uim.desktop; do \
		[ -e $(CURDIR)/$$i.dh-orig ] || continue; \
		mv -f $(CURDIR)/$$i.dh-orig $(CURDIR)/$$i; \
	done

override_dh_auto_install:
	dh_auto_install -- GTK_IMMODULES=/dev/null

override_dh_install:
	install -d $(CURDIR)/debian/libuim-data/var/lib/uim
	dh_install --sourcedir=debian/tmp

override_dh_link:
	dh_link -p libuim-data \
		var/lib/uim/installed-modules.scm \
		usr/share/uim/installed-modules.scm
	dh_link -p libuim-data \
		var/lib/uim/loader.scm \
		usr/share/uim/loader.scm
	for pkg in libuim8 libuim-scm0 libuim-custom2 \
		   libuim-data libuim-dev uim-dbg uim-utils \
		   uim-gtk2.0 uim-gtk3 uim-applet-gnome \
		   uim-dict-gtk uim-dict-gtk3 \
		   uim-qt plasma-widget-uim \
		   uim-anthy uim-canna uim-skk uim-m17nlib \
		   uim uim-byeoru uim-latin uim-pinyin \
		   uim-tcode uim-viqr uim-ipa-x-sampa uim-look \
		   uim-yahoo-jp uim-social-ime uim-ajax-ime \
		   uim-google-cgiapi-jp uim-baidu-olime-jp \
		; do \
		rm -rf $(CURDIR)/debian/$$pkg/usr/share/doc/$$pkg; \
		dh_link -p$$pkg \
			usr/share/doc/uim-common \
			usr/share/doc/$$pkg; \
	done
	dh_link

override_dh_strip:
	dh_strip --dbg-package=uim-dbg

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/uim/plugin \
		--exclude=usr/lib/kde4 \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0 \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/gtk-3.0 \
		$(NULL)

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## uim 1.8.6%2Bgh20180114.64e3173

=== debian/changelog ===
uim (1:1.8.6+gh20180114.64e3173-2build2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 16 Apr 2018 12:19:39 -0500

uim (1:1.8.6+gh20180114.64e3173-2build1) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:51:28 -0600

uim (1:1.8.6+gh20180114.64e3173-2) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * eliminate lintian warning: spelling-error-in-patch-description
  * uim-data and uim-plugins breaks/replaces old uim-anthy (Closes: #890068).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 11 Feb 2018 11:47:26 +0900

uim (1:1.8.6+gh20180114.64e3173-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream git checkout.
  * d/p/pass_cppflags_to_cmake_cxx_flags.patch: removed, imported upstream.
  * uim-anthy pre-depends uim-data (Closes: #877918)
    thanks to Andreas Beckmann <anbe@debian.org>.
  * eliminate lintian warning: insecure-copyright-format-uri

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 24 Jan 2018 01:34:29 +0900

uim (1:1.8.6+gh20180111.cbd2c5e-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream git checkout.
  * Move Vcs-* to salsa.debian.org

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 14 Jan 2018 17:53:34 +0900

uim (1:1.8.6+gh20180106.ec697da-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream git checkout.
  - gtk3: support Wayland backend (Closes: #810739)
  * d/p/do_not_use_run-singletest_sh.patch: removed, imported upstream.
  * d/p/panel_applet_inprocess.patch: removed, imported upstream.
  * d/p/qt5-delayed-candwin.patch: removed, imported upstream.
  * d/p/qt5-do-not-use-private-qt_plugin_prf.patch: removed, imported upstream.
  * d/p/qt5-fix-candwin-unexpected-behavior.patch: removed, imported upstream.
  * d/p/qt5-qt4-fix-toolbar-icon.patch: removed, imported upstream.
  * d/p/fix-lib-deps.patch: removed, imported upstream.
  * Refresh patches.
  * d/README.source: remove dpatch entry and add origin of this package source.
  * upgrade debhelper to 11.
  * bump up Standards-Version 4.1.3.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 07 Jan 2018 18:44:59 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-9) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/control: uim-data depends m17n-db for icons (Closes: #880366)
  * d/p/qt5-fix-candwin-unexpected-behavior.patch: Fix an unexpected behavior
    of a candidate window after d/p/qt5-delayed-candwin.patch.
  * bump up Standards-Version 4.1.2.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 15 Dec 2017 22:28:51 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-8) unstable; urgency=medium

  [ NOKUBI Takatsugu ]
  * d/libuim-dev.postinst: relink document, closes: #880403

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 01 Nov 2017 08:55:19 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-7) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/p/qt5-delayed-candwin.patch: delays a creation of candwin instance
    until it is really needed.
  * d/control: do not conflict uim-gtk3 with ibus
    #873155 is not caused by conflicting between ibus and uim. maybe wayland.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 19 Oct 2017 01:13:16 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-6) unstable; urgency=medium

  [ NOKUBI Takatsugu ]
  * debian/libuim-dev.postinst: Invoke dir_to_symlink, closes: #877476
  * debian/rules: Add /var/lib/uim/README, closes: #877632

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 11 Oct 2017 23:11:35 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-5) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * upload to unstable. see debian/NEWS for details.
  * drop Qt4 support (Closes: #875216)
  * bump up Standards-Version 4.1.1.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 30 Sep 2017 11:15:40 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-5~exp2) experimental; urgency=medium

  * upload to experimental due to drastic package arrangement.

  [ HIGUCHI Daisuke (VDR dai) ]
  * do not register uim-toolbar-gtk{,3}-systray as uim-toolbar alternatives
    - d/uim-gtk{2.0,3}.postinst: do not register uim-toolbar-gtk{,3}-systray
    - d/uim-gtk{2.0,3}.preinst: unregister uim-toolbar-gtk{,3}-systray

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 13 Sep 2017 20:11:36 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-5~exp1) experimental; urgency=medium

  * upload to experimental due to drastic package arrangement.

  [ HIGUCHI Daisuke (VDR dai) ]

  * d/uim.{postinst,prerm}: register/unregister all supported modules.
    suggested by Justin B Rye <justin.byam.rye@gmail.com>, thanks.
    - d/NEWS: add entry.
  * d/uim-data.install: do not install ajax-ime and social-ime.
  * drop applet packages: uim-applet-gnome and plasma-widget-uim
    (Closes: #731672).
  * drop anthy (EUC-JP). please use anthy-utf8 instead of it.
    - d/p/support_anthy-0.3.patch: support anthy 0.3 version
      (Closes: #873874, #873739, #873123).
  * split uim-{{gtk2.0,3},{qt,qt5} out into immodule packages (Closes: #863664)
    thanks to Yuriy M. Kaminskiy <yumkam+debian@gmail.com>.
  * resurrect uim-plugin package split out from uim package.
  * mark uim-gtk3 as Conflicts with ibus (Closes: #873155).
  * d/p/qt5-qt4-fix-toolbar-icon.patch: fix preference icon is not displayed
    on qt4/5 toolbar.
  * d/changelog: merge 1:1.8.6+gh20161003.0.d63dadd-3 changelog.
  * d/control: update Breaks/Replaces debian revision due to step forward
    at unstable.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 03 Sep 2017 09:58:05 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-4) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]

  * Brown paper bag release.
  * debian/rules: remove autotools_dev from dh
  * uim-utils is marked as Multi-Arch: foreign.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 16 Aug 2017 19:10:26 +0900



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

confflags := \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--libexecdir=/usr/lib/uim \
	--with-libgcroots=installed \
	--disable-rpath \
	--enable-static \
	--enable-shared \
	$(NULL)

confflags += \
	--with-fep \
	--without-anthy \
	--with-anthy-utf8 \
	--with-m17nlib \
	--with-x \
	--with-gtk \
	--with-gtk3 \
	--without-qt4 \
	--without-qt4-immodule \
	--with-qt5 \
	--with-qt5-immodule \
	--with-expat \
	--disable-dict \
	--disable-gnome-applet \
	--disable-gnome3-applet \
	--disable-kde4-applet \
	$(NULL)

confflags += $(shell dpkg-buildflags --export=configure)

ifneq (,$(filter $(DEB_HOST_ARCH), ia64 s390))
confflags += UIM_SCM_CFLAGS=-fno-strict-aliasing
endif

export QT_SELECT=qt5

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed $(CURDIR)/autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/tables/wb86.table $(CURDIR)/tables/zm.table
	rm -f $(CURDIR)/config.log $(CURDIR)/config.status

override_dh_auto_install:
	dh_auto_install -- GTK_IMMODULES=/dev/null

override_dh_install:
	install -d $(CURDIR)/debian/uim/var/lib/uim
	cp $(CURDIR)/debian/README.var-lib-uim $(CURDIR)/debian/uim/var/lib/uim/README
	install -d $(CURDIR)/debian/tmp/usr/share/uim/helperdata
	cp $(CURDIR)/qt4/chardict/bushu.t \
		$(CURDIR)/debian/tmp/usr/share/uim/helperdata
	dh_install --sourcedir=debian/tmp

override_dh_link:
	dh_link -p uim \
		var/lib/uim/installed-modules.scm \
		usr/share/uim/installed-modules.scm
	dh_link -p uim \
		var/lib/uim/loader.scm \
		usr/share/uim/loader.scm
	dh_link

override_dh_strip:
	dh_strip --ddeb-migration='uim-dbg (<< 1:1.8.1-15~)'

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/uim/plugin \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0 \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/gtk-3.0 \
		$(NULL)

override_dh_installdocs:
	cp -f $(CURDIR)/debian/uim-data.docs $(CURDIR)/debian/uim.docs
	dh_installdocs -puim -puim-data \
		-plibuim8 -plibuim-scm0 -plibuim-custom2 \
		-puim-plugins \
		-puim-el -puim-fep -puim-xim
	rm -f $(CURDIR)/debian/uim.docs
	# arch:all
	dh_installdocs --link-doc uim-data \
		-puim-anthy -puim-skk -puim-tcode
	# arch:any
	dh_installdocs --link-doc uim \
		-puim-gtk2.0 -puim-gtk2.0-immodule \
		-puim-gtk3 -puim-gtk3-immodule \
		-puim-qt5 -puim-qt5-immodule
	dh_installdocs --link-doc libuim8 -plibuim-dev

override_dh_installchangelogs:
	dh_installchangelogs -puim -puim-data \
		-puim-plugins \
		-plibuim8 -plibuim-scm0 -plibuim-custom2 -plibuim-dev \
		ChangeLog
	dh_installchangelogs -puim-el -puim-fep -puim-xim \
		--exclude=changelog

## uim 1.8.6+gh20161003.0.d63dadd

=== debian/control ===
Source: uim
Section: libs
Priority: optional
Maintainer: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Uploaders: NOKUBI Takatsugu <knok@daionet.gr.jp>
Build-Depends: debhelper (>= 10),
	autoconf,
	automake,
	intltool,
	libtool,
	cmake,
	librsvg2-bin,
	libxml-perl,
	m17n-db,
	libanthy-dev,
	libatk1.0-dev,
	libedit-dev,
	libexpat1-dev,
	libfreetype6-dev,
	libgcroots-dev,
	libgtk2.0-dev (>= 2.10.1),
	libgtk-3-dev,
	libncurses5-dev,
	libm17n-dev,
	libpanel-applet-dev (>= 3.22),
	libpango1.0-dev,
	libqt4-dev (>= 4:4.8.0),
	libx11-dev,
	libxext-dev,
	libxft-dev,
	kdelibs5-dev,
	qtbase5-dev,
	qtbase5-private-dev,
	libqt5x11extras5-dev,
	x11proto-core-dev
Standards-Version: 4.0.0
Homepage: https://github.com/uim/uim/wiki
Vcs-Git: https://anonscm.debian.org/git/collab-maint/uim.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/uim.git

Package: uim-common
Section: utils
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Universal Input Method - common files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains common files for the uim packages.

Package: uim
Section: utils
Architecture: all
Depends: ${misc:Depends},
	uim-common (= ${source:Version}),
	uim-gtk2.0 (>= ${source:Version}),
	uim-qt (>= ${source:Version}),
	uim-qt5 (>= ${source:Version}),
	uim-gtk3 (>= ${source:Version}),
	uim-xim (>= ${source:Version}),
	uim-utils (>= ${source:Version}),
	uim-fep (>= ${source:Version})
Description: Universal Input Method - metapackage
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package is a dummy convenience package designed to install the basic
 uim infrastructure.  It does not depend on any plugin packages, because
 uim is not limited to one input method. Packages are available for
 various input methods, including the following:
  * Japanese
   - uim-anthy: Anthy plugin for uim;
   - uim-skk:   SKK plugin for uim.
  * Chinese
   - uim-pinyin: Pinyin input support for uim.
  * Korean
   - uim-byeoru: Byeoru input support for uim.
  * Multilingual input method
   - uim-m17n: M17n plugin for uim.

Package: libuim8
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Universal Input Method - uim library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared libraries for uim.

Package: libuim-scm0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Universal Input Method - uim-scm API library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared library for uim-scm API.

Package: libuim-custom2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Universal Input Method - uim-custom API library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared library for uim-custom API.

Package: libuim-data
Section: utils
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Recommends: wordlist, im-config
Multi-Arch: foreign
Description: Universal Input Method - data files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the data files for uim.

Package: libuim-plugins
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Multi-Arch: same
Description: Universal Input Method - plugin files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the plugin files for uim.

Package: libuim-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
	libuim8 (= ${binary:Version}),
	libuim-custom2 (= ${binary:Version}),
	libuim-scm0 (= ${binary:Version}),
	uim-common (>= ${source:Version}),
	libgcroots-dev
Multi-Arch: same
Description: Universal Input Method - development files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains header files and static libraries for uim development.

Package: uim-gtk2.0
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-common (>= ${source:Version})
Suggests: uim-dict-gtk
Description: Universal Input Method - GTK+2.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+2.0
 applications.

Package: uim-gtk3
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-common (>= ${source:Version})
Suggests: uim-dict-gtk3
Description: Universal Input Method - GTK+3.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+3.0
 applications.

Package: uim-qt
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-common (>= ${source:Version})
Description: Universal Input Method - Qt 4.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains some graphical utilities (but not a full IM-module)
 using Qt 4.x.

Package: uim-qt5
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-common (>= ${source:Version})
Description: Universal Input Method - Qt 5.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains some graphical utilities (but not a full IM-module)
 using Qt 5.x.

Package: uim-xim
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-common (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-utils (>= ${source:Version})
Suggests: uim-gtk2.0, uim-gtk3, uim-qt, uim-qt5
Description: Universal Input Method - XIM compatibility interface
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package provides a bridge allowing software that can only interface
 with the X Input Method to work with uim.

Package: uim-applet-gnome
Section: gnome
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-common (>= ${source:Version}),
	uim-gtk3 (>= ${source:Version})
Description: Universal Input Method - GNOME applet
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains a GNOME applet which can configure uim, monitor its
 conversion mode, and so on.

Package: plasma-widget-uim
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-common (>= ${source:Version}),
	uim-qt (>= ${source:Version})
Description: Universal Input Method - KDE Plasma widget
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains a KDE Plasma widget which can configure uim, monitor
 its conversion mode, and so on.

Package: uim-dict-gtk
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-common (>= ${source:Version})
Description: Universal Input Method - GTK+2.x Japanese dictionary tool
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

confflags := \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/uim \
	--with-libgcroots=installed \
	--disable-rpath \
	--enable-static \
	--enable-shared \
	$(NULL)

confflags += \
	--with-fep \
	--with-anthy \
	--with-anthy-utf8 \
	--with-m17nlib \
	--with-x \
	--with-gtk \
	--with-gtk3 \
	--with-qt4 \
	--with-qt4-immodule \
	--with-qt5 \
	--with-qt5-immodule \
	--with-expat \
	--enable-dict \
	--disable-gnome-applet \
	--enable-gnome3-applet \
	--enable-kde4-applet \
	$(NULL)

confflags += $(shell dpkg-buildflags --export=configure)

ifneq (,$(filter $(DEB_HOST_ARCH), ia64 s390))
confflags += UIM_SCM_CFLAGS=-fno-strict-aliasing
endif

export QT_SELECT=qt5

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf $(CURDIR)/autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/tables/wb86.table $(CURDIR)/tables/zm.table
	rm -f $(CURDIR)/config.log $(CURDIR)/config.status

override_dh_auto_install:
	dh_auto_install -- GTK_IMMODULES=/dev/null

override_dh_install:
	install -d $(CURDIR)/debian/libuim-data/var/lib/uim
	dh_install --sourcedir=debian/tmp

override_dh_link:
	dh_link -p libuim-data \
		var/lib/uim/installed-modules.scm \
		usr/share/uim/installed-modules.scm
	dh_link -p libuim-data \
		var/lib/uim/loader.scm \
		usr/share/uim/loader.scm
	for pkg in libuim8 libuim-scm0 libuim-custom2 \
		   libuim-data libuim-plugins libuim-dev uim-dbg uim-utils \
		   uim-gtk2.0 uim-gtk3 uim-applet-gnome \
		   uim-dict-gtk uim-dict-gtk3 \
		   uim-qt uim-qt5 plasma-widget-uim \
		   uim-anthy uim-skk uim-m17nlib \
		   uim uim-byeoru uim-latin uim-pinyin \
		   uim-tcode uim-viqr uim-ipa-x-sampa uim-look \
		; do \
		rm -rf $(CURDIR)/debian/$$pkg/usr/share/doc/$$pkg; \
		dh_link -p$$pkg \
			usr/share/doc/uim-common \
			usr/share/doc/$$pkg; \
	done
	dh_link

override_dh_strip:
	dh_strip --ddeb-migration='uim-dbg (<< 1:1.8.1-15~)'

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/uim/plugin \
		--exclude=usr/lib/kde4 \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0 \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/gtk-3.0 \
		$(NULL)

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
